## ros-jazzy-rmw-fastrtps-cpp 8.4.1

=== debian/changelog ===
ros-jazzy-rmw-fastrtps-cpp (8.4.1-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (8.4.0-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Apr 2024 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (8.3.0-1bookworm) bookworm; urgency=high

  * Support Fast CDR v2 (#746 <https://github.com/ros2/rmw_fastrtps/issues/746>)
    * Require fastcdr version 2
    * Changes to build rmw_fastrtps_shared_cpp
    * Changes to build rmw_fastrtps_cpp
    * Changes to build rmw_fastrtps_dynamic_cpp
  * Contributors: Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (8.2.0-1bookworm) bookworm; urgency=high

  * Capture std::bad_alloc on deserializeROSmessage. (#665 <https://github.com/ros2/rmw_fastrtps/issues/665>)
  * Contributors: Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (8.1.0-1bookworm) bookworm; urgency=high

  * Switch to target_link_libraries for linking. (#734 <https://github.com/ros2/rmw_fastrtps/issues/734>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (8.0.0-1bookworm) bookworm; urgency=high

  * avoid using dds common public mutex directly (#725 <https://github.com/ros2/rmw_fastrtps/issues/725>)
  * Contributors: Chen Lihui

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.6.0-1bookworm) bookworm; urgency=high

  * Add rmw_count clients,services impl (#641 <https://github.com/ros2/rmw_fastrtps/issues/641>)
  * Improve node graph delivery by using a unique listening port (#711 <https://github.com/ros2/rmw_fastrtps/issues/711>)
  * Contributors: Miguel Company, Minju, Lee

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.5.0-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.4.0-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.3.0-1bookworm) bookworm; urgency=high

  * Use TRACETOOLS_ prefix for tracepoint-related macros (#686 <https://github.com/ros2/rmw_fastrtps/issues/686>)
  * Contributors: Christophe Bedard

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 11 Jun 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.2.1-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.2.0-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.1.1-1bookworm) bookworm; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.1.0-1bookworm) bookworm; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_fastrtps (#687 <https://github.com/ros2/rmw_fastrtps/issues/687>)
  * Runtime Interface Reflection: rmw_fastrtps (#655 <https://github.com/ros2/rmw_fastrtps/issues/655>)
  * [rmw_fastrtps] Improve handling of dynamic discovery (#653 <https://github.com/ros2/rmw_fastrtps/issues/653>)
  * Call get_type_hash_func (#680 <https://github.com/ros2/rmw_fastrtps/issues/680>)
  * Type hash distribution in discovery (rep2011) (#671 <https://github.com/ros2/rmw_fastrtps/issues/671>)
  * Implement inconsistent topic event (#654 <https://github.com/ros2/rmw_fastrtps/issues/654>)
  * Update all rmw_fastrtps packages to C++17. (#674 <https://github.com/ros2/rmw_fastrtps/issues/674>)
  * Contributors: Chris Lalancette, Emerson Knapp, Geoffrey Biggs, methylDragon

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (7.0.0-1bookworm) bookworm; urgency=high

  * Rewrite how Topics are tracked in rmw_fastrtps_cpp. (#669 <https://github.com/ros2/rmw_fastrtps/issues/669>)
  * Allow loaned messages without data-sharing (#568 <https://github.com/ros2/rmw_fastrtps/issues/568>)
  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>)
  * [rolling] Update maintainers - 2022-11-07 (#643 <https://github.com/ros2/rmw_fastrtps/issues/643>)
  * Contributors: Audrow Nash, Chris Lalancette, Miguel Company, Oscarchoi

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (6.5.0-1bookworm) bookworm; urgency=high

  * Add rmw_get_gid_for_client impl (#631 <https://github.com/ros2/rmw_fastrtps/issues/631>)
  * Contributors: Brian

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (6.4.0-1bookworm) bookworm; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (#619 <https://github.com/ros2/rmw_fastrtps/issues/619>)
  * Remove rosidl_cmake dependency (#629 <https://github.com/ros2/rmw_fastrtps/issues/629>)
  * Revert "add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)" (#612 <https://github.com/ros2/rmw_fastrtps/issues/612>)
  * add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)
  * Allow null arguments in the EventsExecutor parameters (#602 <https://github.com/ros2/rmw_fastrtps/issues/602>)
  * Add RMW_CHECKS to rmw_fastrtps_cpp EventsExecutor implementation
  * Contributors: Jacob Perron, Jose Luis Rivero, Ricardo González, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-rmw-fastrtps-cpp (6.3.0-1bookworm) bookworm; urgency=high


